Nux!


Home » Repos » Report a problem or request a package » winexe INTERNAL ERROR: Signal 11 in pid 4738 (4.0.0alpha11-GIT-UNKNOWN) (winexe crashes with samba-4.8.3-4.el7.x86_64)
winexe INTERNAL ERROR: Signal 11 in pid 4738 (4.0.0alpha11-GIT-UNKNOWN) [message #4115] Fri, 18 January 2019 20:34 Go to previous message
masimito is currently offline  masimito
Messages: 1
Registered: January 2019
Junior Member
Hello!

I just installed winexe in my updated Centos 7 with samba-4.8.3-4.el7.x86_64 but everytime I execute it, no matter what the options/arguments I used, I get:

$ winexe
Unknown parameter encountered: "max log size"
Ignoring unknown parameter "max log size"
Unknown parameter encountered: "passdb backend"
Ignoring unknown parameter "passdb backend"
Unknown enumerated value 'default' for 'client signing'
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- =-=
INTERNAL ERROR: Signal 11 in pid 4738 (4.0.0alpha11-GIT-UNKNOWN)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- =-=
PANIC: internal error
BACKTRACE: 18 stack frames:
#0 winexe(call_backtrace+0x2d) [0x81dd0d]
#1 winexe(smb_panic+0x7e) [0x81de6e]
#2 winexe() [0x81e116]
#3 /lib64/libc.so.6(+0x36280) [0x7fc74d450280]
#4 winexe(hx509_context_free+0xf) [0x7772ef]
#5 winexe(krb5_free_context+0xc3) [0x7456e3]
#6 winexe(krb5_init_context+0x88) [0x746078]
#7 winexe(smb_krb5_init_context+0x71) [0x541821]
#8 winexe(cli_credentials_get_krb5_context+0x34) [0x4d0464]
#9 winexe(cli_credentials_set_ccache+0x95) [0x4d0775]
#10 winexe() [0x4cdd71]
#11 winexe() [0x839303]
#12 winexe() [0x8392eb]
#13 winexe(poptGetNextOpt+0x150) [0x83a430]
#14 winexe(parse_args+0x506) [0x483db6]
#15 winexe(main+0x34) [0x483094]
#16 /lib64/libc.so.6(__libc_start_main+0xf5) [0x7fc74d43c3d5]
#17 winexe() [0x483401]
Aborted

My wild guess is that this version of winexe is not compatible with samba's version in Centos, or it needs to be build against current samba version.

Also, rpm -qi winexe shows:
Build Date : Mon 06 Apr 2015 12:11:35 PM -05

Any chance that we can have an updated version of winexe against current samba? I would compile it myself, but then I also have to compile samba from sources.

Thank you for your time!
 
Read Message
Read Message
Previous Topic: RHEL 7.6 breaks freetype-freeworld
Next Topic: New hugin version? 2018 maybe?
Goto Forum:
  


Current Time: Wed Sep 18 22:54:06 BST 2019

Total time taken to generate the page: 0.00839 seconds